Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:20

Limit the number of profiles to return.

Required range: 1 <= x <= 100
offset
integer
default:0

Offset the number of profiles to return.

Required range: x >= 0
query
string

Case-insensitive substring match against profile name or ID.

name
string

Exact-match filter on profile name using the database collation. In production, matching is case- and accent-insensitive. During the default-project migration, unscoped requests prefer a concrete default-project profile over a legacy unscoped profile with the same name.

Response

List of profiles

id
string
required

Unique identifier for the profile

created_at
string<date-time>
required

Timestamp when the profile was created

name
string | null

Optional, easier-to-reference name for the profile

updated_at
string<date-time>

Timestamp when the profile was last updated

last_used_at
string<date-time>

Timestamp when the profile was last used